#
# spec file for package roottail (Version 0.0.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         roottail
Copyright:    1998 Mike Baker
Group:        Utilities/Text 
Provides:     roottail 
Autoreqprov:  on
Version:      0.0.10
Release:      133
Summary:      Print text directly to X11 root window
Source:       root-tail-%{version}.tar.gz
Patch:        tab2space.dif
BuildRoot: /var/tmp/%{name}-build
URL: http://goof.com/pcg/marc/root-tail.html

%description
Displays  a  given  file  anywhere on your X11 root window
with a transparent background.

Authors:
--------
    Mike Baker <mjbaker@mtu.edu>
    Marc Lehmann <pcg@goof.com>

SuSE series: xap

%prep
%setup -n root-tail-%{version}
%patch -p1

%build
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install
make "DESTDIR=$RPM_BUILD_ROOT" install.man

%files
/usr/X11R6/bin/root-tail
/usr/X11R6/man/man1/root-tail.1x.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n roottail
* Wed Feb 14 2001 - mmj@suse.de
- Added a patch to exchange TAB with space (#6338)
* Tue Jan 02 2001 - mmj@suse.de
- updated to newest version, 0.0.10
* Mon Nov 13 2000 - mmj@suse.de
- updated to newest version, 0.0.9
* Sun Nov 12 2000 - mmj@suse.de
- updated to newest version, 0.0.8
* Wed May 17 2000 - cihlar@suse.cz
- Group sorted
* Fri Apr 07 2000 - cihlar@suse.cz
- added BuildRoot
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 01 1998 - ro@suse.de
- added cleanup on SIGINT and SIGTERM
  fixed race between update & expose
* Mon Aug 31 1998 - ro@suse.de
- updated to use .c from mjb vers. 0.0.4B
* Tue Aug 25 1998 - ro@suse.de
- updated .c file and man-page / created Imakefile
* Thu Jun 18 1998 - ro@suse.de
- initial version
